package com.house365.dao;

import com.house365.beans.vo.Department;
import com.house365.common.interfaces.Dao;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface DepartmentMapper extends Dao<Department> {
    int deleteByPrimaryKey(Integer id);

    int insert(Department record);

    int insertSelective(Department record);

    Department selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Department record);

    int updateByPrimaryKey(Department record);

    int nextId(String companyId);

    Department selectByCompanyIdAndDepartmentId(@Param("companyId") String companyId, @Param("departmentId") String departmentId);

    Department selectByCompanyIdAndWeChatDepartmentId(@Param("companyId") String companyId, @Param("weChatDepartmentId") String weChatDepartmentId);
}